Debian Bug report logs - #686846
sympa: upgrade script continues to provide fodder for kafka novel

version graph

Package: sympa; Maintainer for sympa is Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>; Source for sympa is src:sympa.

Reported by: Clint Adams <clint@debian.org>

Date: Thu, 6 Sep 2012 16:57:02 UTC

Severity: grave

Tags: fixed-upstream

Merged with 686845

Found in version sympa/6.1.11~dfsg-4

Fixed in version sympa/6.1.11~dfsg-5

Done: Emmanuel Bouthenot <kolter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#686846; Package sympa. (Thu, 06 Sep 2012 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Thu, 06 Sep 2012 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sympa: upgrade script continues to provide fodder for kafka novel
Date: Thu, 6 Sep 2012 16:56:13 +0000
Package: sympa
Version: 6.1.11~dfsg-4
Severity: grave

When upgrading from squeeze with SQLite3, after fudging the exclusion_table
by hand, this happens:

err Upgrade::probe_db() Table 'list_table' not found in database '/var/lib/dbconfig-common/sqlite3/sympa/sympa' ; you should create it with create_db.SQLite script

There is no list_table in any of the create_db scripts.



Merged 686845 686846 Request was from David Prévot <taffit@debian.org> to 686845-submit@bugs.debian.org. (Wed, 03 Oct 2012 02:33:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from David Prévot <taffit@debian.org> to 686845-submit@bugs.debian.org. (Wed, 03 Oct 2012 02:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#686846; Package sympa. (Wed, 24 Oct 2012 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bouthenot <kolter@openics.org>:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Wed, 24 Oct 2012 23:03:05 GMT) Full text and rfc822 format available.

Message #14 received at 686846@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@openics.org>
To: Andi Fink <andis@global2000.at>, Clint Adams <clint@debian.org>, David Prévot <taffit@debian.org>, 686845@bugs.debian.org, 686846@bugs.debian.org
Subject: Re: Bug#686845: sympa: install fails when using sympa with sqlite3
Date: Thu, 25 Oct 2012 00:51:21 +0200
Hi,

About these two bugs, there is actually 2 issues. Here is the status:

 1) A new installation with the sqlite backend didn't work and leads
    to the bug described in #686846
 2) The upgrade from squeeze? to wheezy of sympa using sqlite backend
    fails: sympa is unable to upgrade sqlite schema

About 1) I've already fixed it in my local devel branch.
About 2) I'm currently working on it but it could affect 1)

I'll try upload sympa with these 2 bugs fixed within the following days.


M.

-- 
Emmanuel Bouthenot
  mail: kolter@{openics,debian}.org    gpg: 4096R/0x929D42C3
  xmpp: kolter@im.openics.org          irc: kolter@{freenode,oftc}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#686846; Package sympa. (Wed, 14 Nov 2012 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Wed, 14 Nov 2012 21:27:05 GMT) Full text and rfc822 format available.

Message #19 received at 686846@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Emmanuel Bouthenot <kolter@openics.org>, 686846@bugs.debian.org
Cc: Andi Fink <andis@global2000.at>, Clint Adams <clint@debian.org>, David Prévot <taffit@debian.org>, 686845@bugs.debian.org
Subject: Re: Bug#686846: Bug#686845: sympa: install fails when using sympa with sqlite3
Date: Wed, 14 Nov 2012 22:24:12 +0100
[Message part 1 (text/plain, inline)]
Hi Emmanuel

On Thu, Oct 25, 2012 at 12:51:21AM +0200, Emmanuel Bouthenot wrote:
> Hi,
> 
> About these two bugs, there is actually 2 issues. Here is the status:
> 
>  1) A new installation with the sqlite backend didn't work and leads
>     to the bug described in #686846
>  2) The upgrade from squeeze? to wheezy of sympa using sqlite backend
>     fails: sympa is unable to upgrade sqlite schema
> 
> About 1) I've already fixed it in my local devel branch.
> About 2) I'm currently working on it but it could affect 1)
> 
> I'll try upload sympa with these 2 bugs fixed within the following days.

Any news on this? Unfortunately sympa is currently on candidate list
for removal[1].

 [1]: https://lists.debian.org/debian-release/2012/11/msg00604.html

Regards and thanks for your work!

Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#686846; Package sympa. (Wed, 14 Nov 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bouthenot <kolter@openics.org>:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Wed, 14 Nov 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #24 received at 686846@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@openics.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 686846@bugs.debian.org, Andi Fink <andis@global2000.at>, Clint Adams <clint@debian.org>, David Prévot <taffit@debian.org>, 686845@bugs.debian.org
Subject: Re: Bug#686846: Bug#686845: sympa: install fails when using sympa with sqlite3
Date: Wed, 14 Nov 2012 23:54:52 +0100
Hi,

On Wed, Nov 14, 2012 at 10:24:12PM +0100, Salvatore Bonaccorso wrote:
[...]

> Any news on this? Unfortunately sympa is currently on candidate list
> for removal[1].
> 
>  [1]: https://lists.debian.org/debian-release/2012/11/msg00604.html

I'm currently working on this bug.

I've a patch to fix this issue (which consists in making possible to
upgrade sqlite schema on the fly regarding new tables, new fields and
fields types changes). It's not supported upstream but it seems to
basically work with my last changes.

The remaining work is to make sure that the patch does not introduce
regressions and I'm writing test cases for this but it takes some time.

The important thing is that mysql is the only database engine supported
upstream. SQLite and PostgreSQL are only supported as a best effort.

I'm also thinking to downgrade the severity but I hope to be able to
upload sympa in unstable with this bug fixed during the weekend.


Regards,

M.

-- 
Emmanuel Bouthenot
  mail: kolter@{openics,debian}.org    gpg: 4096R/0x929D42C3
  xmpp: kolter@im.openics.org          irc: kolter@{freenode,oftc}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#686846; Package sympa. (Tue, 27 Nov 2012 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bouthenot <kolter@openics.org>:
Extra info received and forwarded to list. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Tue, 27 Nov 2012 19:15:05 GMT) Full text and rfc822 format available.

Message #29 received at 686846@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@openics.org>
To: Roland Stigge <stigge@antcom.de>, 686845@bugs.debian.org, 686846@bugs.debian.org, Clint Adams <clint@debian.org>, Andi Fink <andis@global2000.at>, David Prévot <taffit@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#686845: upgrade fails when using sympa with sqlite3
Date: Tue, 27 Nov 2012 20:12:28 +0100
On Sun, Nov 25, 2012 at 12:26:56PM +0100, Roland Stigge wrote:
[...]

> can you please post your patch? When it's lacking testing, we can
> possibly help here.

The fix is committed on top of the master branch in git repository:

git clone git://anonscm.debian.org/collab-maint/sympa.git

I will be glad to get some feedback before pushing this fix in
unstable.

If you want to test, a dsc is available here:

http://debian.openics.org/tmp/sympa_6.1.11~dfsg-5~local0.dsc

A binary package for amd64 is also available:

http://debian.openics.org/tmp/sympa_6.1.11~dfsg-5~local0_amd64.deb


Thanks in advance,

Regards,

M.

-- 
Emmanuel Bouthenot
  mail: kolter@{openics,debian}.org    gpg: 4096R/0x929D42C3
  xmpp: kolter@im.openics.org          irc: kolter@{freenode,oftc}



Message #30 received at 686845-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@debian.org>
To: 686845-close@bugs.debian.org
Subject: Bug#686845: fixed in sympa 6.1.11~dfsg-5
Date: Sat, 01 Dec 2012 00:02:50 +0000
Source: sympa
Source-Version: 6.1.11~dfsg-5

We believe that the bug you reported is fixed in the latest version of
sympa, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686845@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bouthenot <kolter@debian.org> (supplier of updated sympa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 30 Nov 2012 19:00:43 +0000
Source: sympa
Binary: sympa
Architecture: source amd64
Version: 6.1.11~dfsg-5
Distribution: unstable
Urgency: low
Maintainer: Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>
Changed-By: Emmanuel Bouthenot <kolter@debian.org>
Description: 
 sympa      - Modern mailing list manager
Closes: 686845
Changes: 
 sympa (6.1.11~dfsg-5) unstable; urgency=low
 .
   * Fix SQLite patch to avoid crash during installation from scratch and
     database schema updates failures on upgrade (Closes: #686845)
Checksums-Sha1: 
 52e2b571bbd9aeb01db714a53c9eedca603a3f14 2542 sympa_6.1.11~dfsg-5.dsc
 1a1fdd26554ef1bf7d763a4ac1148e5ad53ea22b 121142 sympa_6.1.11~dfsg-5.debian.tar.gz
 e1921cb71b87eb0b103e33251a0ae6b9d6534e18 3154460 sympa_6.1.11~dfsg-5_amd64.deb
Checksums-Sha256: 
 1678d0ed359de1f6fd9a7f6fea92d89d7e455377a070c44e5042763ff9925885 2542 sympa_6.1.11~dfsg-5.dsc
 fbeb68b54371abbe3344385c6c67d3fdc0d592c882b0ad219526bc5680fd665e 121142 sympa_6.1.11~dfsg-5.debian.tar.gz
 9724ecae215f7408bd7c35c99383fdf6fdc3812301c40c1490229ae92c927bfe 3154460 sympa_6.1.11~dfsg-5_amd64.deb
Files: 
 ea5d8b72db880bee964f3ce8a15e0abd 2542 mail optional sympa_6.1.11~dfsg-5.dsc
 4040da440247c3649dddcc545c5a0675 121142 mail optional sympa_6.1.11~dfsg-5.debian.tar.gz
 8524850356216f52a154f5f1a503c2f2 3154460 mail optional sympa_6.1.11~dfsg-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQuUX+AAoJEEsHdyOSnULDe5sP/1JCWYA3zGBc41H7GJhCxDWe
6Yot+2bvqi/b+HDhgwhbKdQ09LuigC336qiZOH13sTscoMgAc9JZv0qPvsyYfW3I
N9d1fn9CRj7UYd31G+Mxz0LHxoInIh203MF11YNMcVYaFsBxHLbCxaMvWsUF9kEU
PXvAsOid7YgUjfWSk+RpTypaXaH8N2d6iwJuoD3hJDAGaPzv04Wu6UAUSvrKFbBo
TH7brd/a2W89giXkM+GDHdOkrX0l5U+dAmxzSJL+AB0KYeqfe1bVxcGEibIQbpmC
04Ct1DdMM0bWpvTCn+phC+gcHJFVD8krAcM+mX7JZhijPWAmNUFD7//c3Bb9anat
2qnBjs0GtlBUMFY8xe8wchMCSu2wHih0M2ktA4MIcyTxcwKEQJpM1LlRyW74euFC
38yQQZVtyra4l2N6ep06V8TQeyy57Sxi2P6bghhnkVB1yqyWI1w1bbeusYB3JMuO
VIf7+doaOVp9+6J9GBisrJWnBG9SaY347X3x9M46FOqxTv6Kqhw6V+eFJln3ACVy
yo2Y98vWjZoERUPx/1im6OM3gkmhlep8ow5c8yQaKqx4uAfNUUXrqeespEDhAn8n
mUxYFcDy36F61TFFN29dqlaSeb/9D2XPPgRXd7snNoULfQYGFPzcU0kEVvQbXkHM
Ls6FByyz3cRMnRAnGtw5
=U0T0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Dec 2012 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:31:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.